Skip to main content
POST
/
businesses
/
{id}
/
email_addresses
Create an email address for a business
curl --request POST \
  --url https://api.pocketflows.com/businesses/{id}/email_addresses \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email_address": "<string>",
  "display_name": "<string>",
  "one_off": true,
  "reply_to": "<string>"
}
'
{
  "id": "<string>",
  "email_address": "<string>",
  "display_name": "<string>",
  "reply_to": "<string>",
  "business": "<string>",
  "one_off": true,
  "custom_domain": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the business

Body

application/json
email_address
string
required

The full email address. Must have the same domain as an existing business email address.

display_name
string
required

The display name for the email address

one_off
boolean

Whether this is a one-off email address

reply_to
string

The reply-to address for the email address

Response

200 - application/json

The created EmailAddress object

id
string
required

The ID of the email address

email_address
string
required

The email address

display_name
string
required

The display name of the email address

reply_to
string | null
required

The reply-to address

business
string | null
required

The business associated with this email address

one_off
boolean
required

Whether the email address is one-off

custom_domain
string | null
required

The custom domain associated with this email address